# Class CIM_CollectedSoftwareElements
extends CIM_MemberOfCollection

CollectedSoftwareElements defines the SoftwareElements that are collected by InstalledProduct (ie, the installed image of a Product).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_CollectedSoftwareElements

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | CollectedSoftwareElements defines the SoftwareElements that are collected by InstalledProduct (ie, the installed image of a Product).
UMLPackagePath | string | CIM::Application::InstalledProduct
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_CollectedSoftwareElements | CIM_InstalledProduct
Member | CIM_CollectedSoftwareElements | CIM_SoftwareElement

## Class Methods